| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- d
- e
- f
- i
- m
- n
- p
- s
- u

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - i -

- ARM_I2C_ABORT_TRANSFER : Driver_I2C.h
- ARM_I2C_ADDRESS_10BIT : Driver_I2C.h
- ARM_I2C_ADDRESS_GC : Driver_I2C.h
- ARM_I2C_API_VERSION : Driver_I2C.h
- ARM_I2C_BUS_CLEAR : Driver_I2C.h
- ARM_I2C_BUS_SPEED : Driver_I2C.h
- ARM_I2C_BUS_SPEED_FAST : Driver_I2C.h
- ARM_I2C_BUS_SPEED_FAST_PLUS : Driver_I2C.h
- ARM_I2C_BUS_SPEED_HIGH : Driver_I2C.h
- ARM_I2C_BUS_SPEED_STANDARD : Driver_I2C.h
- ARM_I2C_Control() : Driver_I2C.c
- ARM_I2C_EVENT_ADDRESS_NACK : Driver_I2C.h
- ARM_I2C_EVENT_ARBITRATION_LOST : Driver_I2C.h
- ARM_I2C_EVENT_BUS_CLEAR : Driver_I2C.h
- ARM_I2C_EVENT_BUS_ERROR : Driver_I2C.h
- ARM_I2C_EVENT_GENERAL_CALL : Driver_I2C.h
- ARM_I2C_EVENT_SLAVE_RECEIVE : Driver_I2C.h
- ARM_I2C_EVENT_SLAVE_TRANSMIT : Driver_I2C.h
- ARM_I2C_EVENT_TRANSFER_DONE : Driver_I2C.h
- ARM_I2C_EVENT_TRANSFER_INCOMPLETE : Driver_I2C.h
- ARM_I2C_GetCapabilities() : Driver_I2C.c
- ARM_I2C_GetDataCount() : Driver_I2C.c
- ARM_I2C_GetStatus() : Driver_I2C.c
- ARM_I2C_GetVersion() : Driver_I2C.c
- ARM_I2C_Initialize() : Driver_I2C.c
- ARM_I2C_MasterReceive() : Driver_I2C.c
- ARM_I2C_MasterTransmit() : Driver_I2C.c
- ARM_I2C_OWN_ADDRESS : Driver_I2C.h
- ARM_I2C_PowerControl() : Driver_I2C.c
- ARM_I2C_SignalEvent() : Driver_I2C.c
- ARM_I2C_SignalEvent_t : Driver_I2C.h
- ARM_I2C_SlaveReceive() : Driver_I2C.c
- ARM_I2C_SlaveTransmit() : Driver_I2C.c
- ARM_I2C_Uninitialize() : Driver_I2C.c